> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get documentv1drive

> Gets a document AODocs via the Drive ID of one of its attachment.



## OpenAPI

````yaml /openapis/driveId.json get /document/v1/drive/{driveId}
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: driveId
    description: >-
      Lets you read and update document properties, create new documents, delete
      documents, manage document versions, ...  (beta version, subject to
      change)
paths:
  /document/v1/drive/{driveId}:
    get:
      tags:
        - driveId
      description: Gets a document AODocs via the Drive ID of one of its attachment.
      operationId: driveId:v1beta1.Document.loadDocument
      parameters:
        - $ref: '#/components/parameters/driveId_path_parameter'
        - name: versionId
          in: query
          description: >-
            The ID of the version. Leave empty to get the default version
            (equivalent to value 'HEAD'), i.e. the draft if it exists and if the
            user has access to it (equivalent to value 'DRAFT'), else the main
            version (equivalent to value 'COMMITTED'). Fill with the ID of the
            version to get a past version of the document.
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      responses:
        '200':
          description: A ApiDocument response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiDocument'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    driveId_path_parameter:
      name: driveId
      in: path
      description: The ID of the file
      required: true
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  schemas:
    ApiDocument:
      type: object
      properties:
        acl:
          type: array
          items:
            $ref: '#/components/schemas/ApiAclEntry'
        attachmentFields:
          type: array
          items:
            $ref: '#/components/schemas/ApiField'
        attachments:
          type: array
          description: The list of attachments
          items:
            $ref: '#/components/schemas/ApiAttachment'
        attachmentsToCopy:
          type: array
          description: The list of attachments to copy (for create/patch)
          items:
            $ref: '#/components/schemas/ApiAttachment'
        categories:
          type: array
          description: The list of category fields (only the values are editable)
          items:
            $ref: '#/components/schemas/ApiCategory'
        checkOutBy:
          type: string
          description: The email of the user who checked-out the document (read-only field)
        checkoutDate:
          type: string
          description: The time at which the document was checked-out (read-only field)
        classId:
          type: string
          description: The ID of the class of the document (read-only field)
        className:
          type: string
          description: The name of the class of the document (read-only field)
        className_i18n:
          type: string
          description: >-
            The internationalized name of the class of the document (read-only
            field)
        coordinate:
          type: string
          description: >-
            The coordinate of the sequence for the document
            (<librarySequenceId>.<documentClassSequenceId>.<documentSequenceId>[.<versionSequenceId>])
            (read-only field)
        creationDate:
          type: string
          description: The time at which the document was created (read-only field)
        deleteAuthor:
          type: string
          description: The email of the user who deleted the document (read-only field)
        deleted:
          type: boolean
          description: Whether the document is deleted (read-only field)
        deletedReason:
          type: string
          description: The reason for deleting the document (read-only field)
        deletionDate:
          type: string
          description: The time at which the document was deleted (read-only field)
        domainName:
          type: string
          description: The name of the domain (read-only field)
        driveOnlyPermissions:
          type: array
          description: >-
            The list of additional permissions configured in Secured Folder
            libraries
          items:
            $ref: '#/components/schemas/ApiDrivePermission'
        editable:
          type: boolean
          description: Whether the current user can edit the document (read-only field)
        evaluationError:
          type: boolean
          description: >-
            Whether there is an evaluation error on at least one field of the
            document (read-only field)
        externalSource:
          $ref: '#/components/schemas/ApiExternalSource'
        fields:
          type: array
          description: The list of native fields (values and metadata are editable)
          items:
            $ref: '#/components/schemas/ApiField'
        folders:
          type: array
          description: The location of the document (folder path as list of folders)
          items:
            $ref: '#/components/schemas/ApiFolder'
        forbiddenOperations:
          type: object
          description: >-
            The map of the forbidden operations to the current user and the
            reasons why they are forbidden (read-only field)
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ApiForbidReason'
        fullSizeOfAttachments:
          type: integer
          format: int64
          description: The summed size (in octet) of the attachments (read-only field)
        iconLink:
          type: string
          description: The link to the icon relative to the attachment (read-only field)
        id:
          type: string
          description: The ID of the document (read-only field)
        incomplete:
          type: boolean
          description: >-
            Whether there are missing mandatory fields on the document
            (read-only field)
        initialAuthor:
          type: string
          description: The email of the user who created the document (read-only field)
        invalidValues:
          type: boolean
          description: >-
            Whether there are invalid values for fields of the document
            (read-only field)
        kind:
          type: string
        libraryId:
          type: string
          description: The ID of the library (read-only field)
        libraryName:
          type: string
          description: The name of the library (read-only field)
        modificationDate:
          type: string
          description: >-
            The time at which the document was last modified (read-only field
            after document creation)
        newPermissions:
          type: array
          description: The new permissions to apply
          items:
            $ref: '#/components/schemas/ApiDrivePermission'
        nextVersionName:
          type: string
          description: The next version name (read-only field)
        numberOfAttachments:
          type: integer
          format: int32
          description: The number of attachments in the document (read-only field)
        onlyAdminCanChangeAcl:
          type: boolean
          description: >-
            Whether only administrators can modify the permissions of the
            document
        onlyAdminCanDelete:
          type: boolean
          description: Whether only administrators can be delete the document
        originalVersionId:
          type: string
          description: >-
            Id of the original version if this version was created by restoring
            a previous version, otherwise null
        permissions:
          type: array
          description: The list of permissions relative to the document
          items:
            $ref: '#/components/schemas/ApiPermission'
        permittedOperations:
          type: array
          description: >-
            The list of permitted operations to the current user (read-only
            field)
          items:
            type: string
            enum:
              - DELETE
              - RENAME
              - MODIFY_ACL
              - VIEW_ACL
              - MOVE_TO_ANOTHER_FOLDER
              - EXPORT
              - EDIT_PROPERTIES
              - COPY
              - CREATE_COPY_FROM
              - EXPORT_COPY
              - CREATE_NEW_VERSION
              - ATTACHMENT_VERSION_REPLACE
              - ATTACHMENT_VERSION_CREATE
              - ADD_NEW_ATTACHMENT_FROM_DRIVE
              - ATTACH_ENCRYPTED_FILE
              - OPEN_IN_OFFICE
              - PUBLISH
              - UNPUBLISH
              - RESTORE_REVISION
              - REVERT_TO_THIS_REVISION
              - CREATE_RELATED_DOCUMENT
              - DOWNLOAD
              - DOWNLOAD_ATTACHMENT
              - NOTIFY_USERS
              - CHECK_IN
              - CHECK_OUT
              - DISCARD_CHECKOUT
              - FORCE_DISCARD_CHECKOUT
              - EDIT_TAGS
              - PERFORM_HUMAN_WORKFLOW_ACTIONS
              - VIEW_DRAFT
              - SHARE_PUBLICLY
              - VIEW_HISTORY
              - VIEW_VERSIONS
              - ADD_COMMENT
              - SET_TEMPLATE_AS_DEFAULT
              - SET_TEMPLATE_VISIBILITY_SCOPE
              - DELETE_COMMENT
              - KNOW_DRAFT
              - FORCE_PARALLEL_TRANSITION
              - CHANGE_WORKFLOW_STATE_DIRECTLY
              - SEE_HIDDEN_FIELDS
              - VIEW_TRASHED_ITEM
              - UNTRASH
              - PERMANENTLY_DELETE
              - VIEW_DRIVEONLY_ACL
              - MODIFY_DRIVEONLY_ACL
              - NON_GOOGLE_USERS_SUPPORT
              - SUPPORTS_LIVE_EVALUATION
              - ALLOWLIST_NOT_ENFORCED
              - CREATE_SUBFOLDER
              - CREATE_DOCUMENT_IN_THIS_FOLDER
              - IMPORT_FOLDERS_FROM_DRIVE_TO_THIS_FOLDER
              - ADD_NEW_ATTACHMENT_FROM_OSS
              - OPEN_IN_DRIVE
              - COPY_FOLDER_TREE
              - CHECK_FOLDER
              - MOVE_TO_DRIVE
              - COPY_TO_DRIVE
              - MOVE_TO_ANOTHER_LIBRARY
              - MOVE_TO_ANOTHER_CLASS
              - COPY_TO_ANOTHER_CLASS
              - COPY_ATTACHMENT
              - COPY_TO_ANOTHER_LIBRARY
              - EDIT_ATTACHMENT
        publishedLink:
          type: string
          description: The link of the publication for mono-attachment documents
        publishedMode:
          type: string
          description: >-
            The publication mode (NONE, DOMAIN, EVERYONE) for mono-attachment
            documents
          enum:
            - NONE
            - DOMAIN
            - EVERYONE
        referenceCatalogs:
          type: array
          description: The list of reference catalog fields (only the values are editable)
          items:
            $ref: '#/components/schemas/ApiReferenceCatalogField'
        relatedDocuments:
          type: object
          description: The map of related documents per relation
          additionalProperties:
            $ref: '#/components/schemas/ApiRelationSides'
        restrictedDownload:
          type: boolean
          description: >-
            Whether the flag controlling whether reader users can download, copy
            or print the document is enabled.
        richText:
          type: string
          description: The description of the document
        sections:
          type: array
          description: The sections in which fields are organized (read-only field)
          items:
            $ref: '#/components/schemas/ApiFieldSection'
        sequenceId:
          type: integer
          format: int64
          description: The sequence ID of the document (read-only field)
        setModifiedDate:
          type: boolean
          description: Whether to set the date of last modification
        similarDocuments:
          type: array
          description: >-
            Represents a document identified as similar/duplicate with its
            associated metadata and similarity information
          items:
            $ref: '#/components/schemas/ApiSimilarDocument'
        state:
          type: string
          description: The name of the workflow state (read-only field)
        stateChangeAuthors:
          type: array
          description: >-
            The person(s) who were involved in the last workflow state change
            (read-only field)
          items:
            $ref: '#/components/schemas/ApiSecurityToken'
        stateChangeDate:
          type: string
          format: date-time
          description: >-
            The date at which the document last changed of workflow state
            (read-only field)
        stateId:
          type: string
          description: The ID of the workflow state
        state_i18n:
          type: string
          description: The internationalized name of the workflow state (read-only field)
        systemFields:
          type: array
          description: The list of system fields (only the values are editable)
          items:
            $ref: '#/components/schemas/ApiSystemField'
        tableFields:
          type: array
          description: The list of table fields (only the values are editable)
          items:
            $ref: '#/components/schemas/ApiTableField'
        templateDocumentId:
          type: string
        title:
          type: string
          description: The title of the document
        updateAuthor:
          type: string
          description: >-
            The email of the user who last modified the document (read-only
            field)
        userCanChangeAcl:
          type: boolean
          description: >-
            Whether the current user can modify the permissions (read-only
            field)
        userCanChangeProperties:
          type: boolean
          description: Whether the current user can modify the properties (read-only field)
        userCanDelete:
          type: boolean
          description: Whether the current user can delete the document (read-only field)
        userMapping:
          type: object
          description: The mapping between user email and user profile (read-only field)
          additionalProperties:
            $ref: '#/components/schemas/ApiBaseUserProfile'
        versionCreated:
          type: string
          format: date-time
          description: The time at which the version was created (read-only field)
        versionCreator:
          type: string
          description: The email of the user who created the version (read-only field)
        versionDescription:
          type: string
          description: The description of the current version of the document
        versionId:
          type: string
          description: The ID of the version (read-only field)
        versionLabel:
          type: string
          description: >-
            (Deprecated) The description of the version (replaced by
            versionDescription)
        versionName:
          type: string
          description: The name of the current version of the document
        versionNumber:
          type: string
          description: (Deprecated) The number of the version (replaced by versionName)
        viewConfiguration:
          $ref: '#/components/schemas/ApiDocumentViewConfiguration'
        workflowId:
          type: string
          description: >-
            The ID of the workflow related to the class of the document
            (read-only field)
    ApiAclEntry:
      type: object
      properties:
        allow:
          type: array
          items:
            type: string
        for:
          type: array
          items:
            type: string
        kind:
          type: string
    ApiField:
      type: object
      properties:
        calculatedSettingsInfo:
          type: object
          description: >-
            Information about the result of evaluation of calculated settings
            (read-only)
          additionalProperties:
            $ref: '#/components/schemas/ApiCalculatedSettingsInfo'
        calculatedValueInfo:
          $ref: '#/components/schemas/ApiFieldValuesInfo'
        description:
          type: string
          description: The description of the field (read-only)
        description_i18n:
          type: string
          description: The internationalized description of the field (read-only)
        editable:
          type: boolean
          description: Whether the field is editable by the current user
        fieldId:
          type: string
          description: The ID of the field
        fieldMetadata:
          type: object
          description: Additional metadata for AI extraction
          additionalProperties:
            type: string
        fieldName:
          type: string
          description: The name of the field
        fieldName_i18n:
          type: string
          description: The internationalized name of the field (read-only)
        hidden:
          type: boolean
          description: Whether the field is hidden to the user user
        kind:
          type: string
        lookupConfiguration:
          $ref: '#/components/schemas/ApiLookupConfiguration'
        lookupValueInfo:
          $ref: '#/components/schemas/ApiLookupValuesInfo'
        mandatory:
          type: boolean
          description: Whether the field is mandatory
        metadata:
          $ref: '#/components/schemas/ApiFieldMetadata'
        multiple:
          type: boolean
          description: Whether there can be multiple values
        placeholderText:
          type: string
          description: The help text to display in the field input (read-only)
        rank:
          type: integer
          format: int32
          description: >-
            The rank at which the field is displayed in the document page
            (read-only)
        readOnly:
          type: boolean
          description: Whether the field is currently read-only
        type:
          type: string
          description: The field type (STRING, DATE, ..., CATEGORY, REFERENCE_CATALOG)
          enum:
            - STRING
            - TEXT
            - DATE
            - TIME
            - DATETIME
            - INTEGER
            - FILESIZE
            - DECIMAL
            - BOOLEAN
            - PERSON
            - CATEGORY
            - GEOPOINT
            - URL
            - REFERENCE_CATALOG
            - MIMETYPEGROUP
            - CLASS
            - FOLDER
            - STATE
            - OSS_ATTACHMENT
            - DRIVE_ATTACHMENT
            - TABLE
        validation:
          $ref: '#/components/schemas/ApiFieldValidation'
        values:
          type: array
          description: The list of values for the field
          items:
            type: string
    ApiAttachment:
      type: object
      properties:
        autodeskUrn:
          $ref: '#/components/schemas/ApiAutodeskUrn'
        fileId:
          type: string
          description: The ID the file in Drive
        iconLink:
          type: string
          description: The URL of the icon of the file
        kind:
          type: string
        link:
          type: string
          description: The URL to the file in Drive (read-only)
        md5Checksum:
          type: string
          description: The MD5 checksum of the file content (null for native Google files)
        mimeType:
          type: string
          description: The MIME type of the file
        name:
          type: string
          description: The name (title) of the file
        permissionsOnDrive:
          type: array
          description: The list of permissions set in Drive for the file
          items:
            $ref: '#/components/schemas/ApiDrivePermission'
        publishedLink:
          type: string
          description: The URL of the file when published
        resourceKey:
          type: string
          description: >-
            A file that is shared with the link may only be discovered with this
            resourceKey
        revisionId:
          type: string
          description: The ID of the revision of the file in Drive
        size:
          type: integer
          format: int64
          description: The size (in octet) of the file
        storageLocation:
          type: string
          description: >-
            The storage location of the file. Possible values are 'DRIVE' and
            'OSS' (read-only)
          enum:
            - DRIVE
            - OSS
    ApiCategory:
      type: object
      properties:
        calculatedSettingsInfo:
          type: object
          description: >-
            Information about the result of evaluation of calculated settings
            (read-only)
          additionalProperties:
            $ref: '#/components/schemas/ApiCalculatedSettingsInfo'
        calculatedValueInfo:
          $ref: '#/components/schemas/ApiFieldValuesInfo'
        categoryDefinition:
          $ref: '#/components/schemas/ApiCategoryDefinition'
        categoryValueMapping:
          $ref: '#/components/schemas/ApiCategoryValueMappingRef'
        definitionId:
          type: string
          description: (Deprecated) The ID of the category
        definitionName:
          type: string
        description:
          type: string
          description: The description of the field (read-only)
        description_i18n:
          type: string
          description: The internationalized description of the field (read-only)
        dynamicValues:
          type: boolean
        editable:
          type: boolean
          description: Whether the field is editable by the current user
        fieldId:
          type: string
          description: The ID of the field
        fieldMetadata:
          type: object
          description: Additional metadata for AI extraction
          additionalProperties:
            type: string
        fieldName:
          type: string
          description: The name of the field
        fieldName_i18n:
          type: string
          description: The internationalized name of the field (read-only)
        folder:
          type: boolean
        hidden:
          type: boolean
          description: Whether the field is hidden to the user user
        kind:
          type: string
        levelNames:
          type: array
          items:
            type: string
        lookupConfiguration:
          $ref: '#/components/schemas/ApiLookupConfiguration'
        lookupValueInfo:
          $ref: '#/components/schemas/ApiLookupValuesInfo'
        mandatory:
          type: boolean
          description: Whether the field is mandatory
        mappingSourceField:
          $ref: '#/components/schemas/ApiFieldRef'
        multiple:
          type: boolean
          description: Whether there can be multiple values
        placeholderText:
          type: string
          description: The help text to display in the field input (read-only)
        rank:
          type: integer
          format: int32
          description: >-
            The rank at which the field is displayed in the document page
            (read-only)
        readOnly:
          type: boolean
          description: Whether the field is currently read-only
        type:
          type: string
          description: The field type (STRING, DATE, ..., CATEGORY, REFERENCE_CATALOG)
          enum:
            - STRING
            - TEXT
            - DATE
            - TIME
            - DATETIME
            - INTEGER
            - FILESIZE
            - DECIMAL
            - BOOLEAN
            - PERSON
            - CATEGORY
            - GEOPOINT
            - URL
            - REFERENCE_CATALOG
            - MIMETYPEGROUP
            - CLASS
            - FOLDER
            - STATE
            - OSS_ATTACHMENT
            - DRIVE_ATTACHMENT
            - TABLE
        validation:
          $ref: '#/components/schemas/ApiFieldValidation'
        values:
          type: array
          description: The list of category values
          items:
            type: array
            items:
              $ref: '#/components/schemas/ApiCategoryValue'
    ApiDrivePermission:
      type: object
      properties:
        additionalRoles:
          type: array
          description: The additional roles for the permission like COMMENTER
          items:
            type: string
        allowlisted:
          type: boolean
          description: >-
            Whether the email address is allowlisted (individually or via its
            domain) in the current domain
        belongsToDomain:
          type: boolean
          description: Whether the email address is part of the current domain
        email:
          type: string
          description: The email of the permission or the domain name if type = DOMAIN
        googleEmailAddress:
          type: boolean
          description: Whether the email address is tied to a Google account
        kind:
          type: string
        name:
          type: string
          description: The displayed name for the permission
        permissionId:
          type: string
          description: The unique ID for the permission in Drive
        role:
          type: string
          description: 'The role of the permission: READER, WRITER, OWNER'
        thumbnailPhotoUrl:
          type: string
          description: The URL of the thumbnail picture of the permitted user or group
        type:
          type: string
          description: 'The type of permission in Drive: ANYONE, DOMAIN, GROUP, USER'
        withLink:
          type: boolean
          description: >-
            Whether the permission imposes to have the link to access (vs. can
            be searched for)
    ApiExternalSource:
      type: object
      properties:
        displayName:
          type: string
          description: The text displayed for the external source link.
        url:
          type: string
          description: >-
            The URL of the external source. Must be non-null and non-empty when
            clear is false.
    ApiFolder:
      type: object
      properties:
        editable:
          type: boolean
          description: Whether the folder is editable by the current user (read-only field)
        editableDocuments:
          type: boolean
          description: >-
            Whether the documents in the folder are editable by the current user
            (read-only field)
        fileId:
          type: string
          description: The ID of the folder in Drive
        folderAodocsId:
          type: string
          description: The ID of the folder in AODocs model (0 if root folder)
        folderDefinitionId:
          type: string
          description: (Deprecated) The ID of the folder configuration
        folderIsRoot:
          type: boolean
          description: Whether the folder is the root folder (read-only field)
        kind:
          type: string
        libraryId:
          type: string
          description: The ID of the library
        libraryName:
          type: string
          description: The name of the library
        name:
          type: string
          description: The name of the folder
        parentFolderAodocsId:
          type: string
          description: The ID of the parent folder in AODocs model (0 if root folder)
        parentFolderDriveId:
          type: string
          description: The ID of the parent folder in Drive
        parentFolderIsRoot:
          type: boolean
          description: Whether the parent folder is the root folder (read-only field)
        permittedOperations:
          type: array
          description: >-
            The list of permitted operations to the current user (read-only
            field)
          items:
            type: string
            enum:
              - DELETE
              - RENAME
              - MODIFY_ACL
              - VIEW_ACL
              - MOVE_TO_ANOTHER_FOLDER
              - EXPORT
              - EDIT_PROPERTIES
              - COPY
              - CREATE_COPY_FROM
              - EXPORT_COPY
              - CREATE_NEW_VERSION
              - ATTACHMENT_VERSION_REPLACE
              - ATTACHMENT_VERSION_CREATE
              - ADD_NEW_ATTACHMENT_FROM_DRIVE
              - ATTACH_ENCRYPTED_FILE
              - OPEN_IN_OFFICE
              - PUBLISH
              - UNPUBLISH
              - RESTORE_REVISION
              - REVERT_TO_THIS_REVISION
              - CREATE_RELATED_DOCUMENT
              - DOWNLOAD
              - DOWNLOAD_ATTACHMENT
              - NOTIFY_USERS
              - CHECK_IN
              - CHECK_OUT
              - DISCARD_CHECKOUT
              - FORCE_DISCARD_CHECKOUT
              - EDIT_TAGS
              - PERFORM_HUMAN_WORKFLOW_ACTIONS
              - VIEW_DRAFT
              - SHARE_PUBLICLY
              - VIEW_HISTORY
              - VIEW_VERSIONS
              - ADD_COMMENT
              - SET_TEMPLATE_AS_DEFAULT
              - SET_TEMPLATE_VISIBILITY_SCOPE
              - DELETE_COMMENT
              - KNOW_DRAFT
              - FORCE_PARALLEL_TRANSITION
              - CHANGE_WORKFLOW_STATE_DIRECTLY
              - SEE_HIDDEN_FIELDS
              - VIEW_TRASHED_ITEM
              - UNTRASH
              - PERMANENTLY_DELETE
              - VIEW_DRIVEONLY_ACL
              - MODIFY_DRIVEONLY_ACL
              - NON_GOOGLE_USERS_SUPPORT
              - SUPPORTS_LIVE_EVALUATION
              - ALLOWLIST_NOT_ENFORCED
              - CREATE_SUBFOLDER
              - CREATE_DOCUMENT_IN_THIS_FOLDER
              - IMPORT_FOLDERS_FROM_DRIVE_TO_THIS_FOLDER
              - ADD_NEW_ATTACHMENT_FROM_OSS
              - OPEN_IN_DRIVE
              - COPY_FOLDER_TREE
              - CHECK_FOLDER
              - MOVE_TO_DRIVE
              - COPY_TO_DRIVE
              - MOVE_TO_ANOTHER_LIBRARY
              - MOVE_TO_ANOTHER_CLASS
              - COPY_TO_ANOTHER_CLASS
              - COPY_ATTACHMENT
              - COPY_TO_ANOTHER_LIBRARY
              - EDIT_ATTACHMENT
        resourceKey:
          type: string
          description: >-
            A folder that is shared with the link may only be discovered with
            this resourceKey
        restrictedDownload:
          type: boolean
          description: >-
            Whether the documents in the folder are marked as restricted to
            download, copy and print (for the readers)
        subfolders:
          type: array
          description: The list of subfolders
          items:
            $ref: '#/components/schemas/ApiFolder'
    ApiForbidReason:
      type: object
      properties:
        localizedMessage:
          type: string
        reason:
          type: string
          enum:
            - MANDATORY_CHECKOUT
            - PROTECTED_BY_CHECKOUT
            - MISSING_MANDATORY_FIELD
            - INCORRECT_FIELD_VALUES
            - CHECKED_OUT_IN_NORMAL_STATE
            - CONTAINS_ATTACHMENT
            - HAS_FOLDER
            - IS_DEFAULT_TEMPLATE
            - IS_HIDDEN
            - DOCUMENT_IS_DELETED
            - PERMISSION_NEEDED
            - CSE_ENCRYPTED_ATTACHMENT
            - THIRD_PARTY_SHORTCUT
            - DRIVEONLY_PERMISSIONS_NOT_SUPPORTED
    ApiPermission:
      type: object
      properties:
        fieldNames:
          type: array
          items:
            type: string
        inherited:
          type: boolean
        kind:
          type: string
        name:
          type: string
        right:
          type: string
          enum:
            - NONE
            - READER
            - COMMENTER
            - PROPERTY_EDITOR
            - ATTACHMENT_EDITOR
            - WRITER
            - ADMIN
            - SUPER_ADMIN
        roleNames:
          type: array
          items:
            type: string
        thumbnailPhotoUrl:
          type: string
        type:
          type: string
          enum:
            - USER
            - GROUP
            - DOMAIN
        value:
          type: string
    ApiReferenceCatalogField:
      type: object
      properties:
        calculatedSettingsInfo:
          type: object
          description: >-
            Information about the result of evaluation of calculated settings
            (read-only)
          additionalProperties:
            $ref: '#/components/schemas/ApiCalculatedSettingsInfo'
        calculatedValueInfo:
          $ref: '#/components/schemas/ApiFieldValuesInfo'
        description:
          type: string
          description: The description of the field (read-only)
        description_i18n:
          type: string
          description: The internationalized description of the field (read-only)
        editable:
          type: boolean
          description: Whether the field is editable by the current user
        fieldId:
          type: string
          description: The ID of the field
        fieldMetadata:
          type: object
          description: Additional metadata for AI extraction
          additionalProperties:
            type: string
        fieldName:
          type: string
          description: The name of the field
        fieldName_i18n:
          type: string
          description: The internationalized name of the field (read-only)
        hidden:
          type: boolean
          description: Whether the field is hidden to the user user
        kind:
          type: string
        lookupConfiguration:
          $ref: '#/components/schemas/ApiLookupConfiguration'
        lookupValueInfo:
          $ref: '#/components/schemas/ApiLookupValuesInfo'
        mandatory:
          type: boolean
          description: Whether the field is mandatory
        multiple:
          type: boolean
          description: Whether there can be multiple values
        placeholderText:
          type: string
          description: The help text to display in the field input (read-only)
        rank:
          type: integer
          format: int32
          description: >-
            The rank at which the field is displayed in the document page
            (read-only)
        readOnly:
          type: boolean
          description: Whether the field is currently read-only
        referenceCatalog:
          $ref: '#/components/schemas/ApiReferenceCatalog'
        referenceCatalogId:
          type: string
          description: The ID of the reference catalog
        type:
          type: string
          description: The field type (STRING, DATE, ..., CATEGORY, REFERENCE_CATALOG)
          enum:
            - STRING
            - TEXT
            - DATE
            - TIME
            - DATETIME
            - INTEGER
            - FILESIZE
            - DECIMAL
            - BOOLEAN
            - PERSON
            - CATEGORY
            - GEOPOINT
            - URL
            - REFERENCE_CATALOG
            - MIMETYPEGROUP
            - CLASS
            - FOLDER
            - STATE
            - OSS_ATTACHMENT
            - DRIVE_ATTACHMENT
            - TABLE
        validation:
          $ref: '#/components/schemas/ApiFieldValidation'
        values:
          type: array
          description: The list of reference catalog values
          items:
            $ref: '#/components/schemas/ApiReferenceCatalogFieldValue'
    ApiRelationSides:
      type: object
      properties:
        customFromTitles:
          type: array
          description: >-
            The corresponding custom title (if relation renderer enabled) for
            the related documents on FROM side (read-only field)
          items:
            $ref: '#/components/schemas/ApiCustomRelatedDocumentTitle'
        customToTitles:
          type: array
          description: >-
            The corresponding custom title (if relation renderer enabled) for
            the related documents on TO side (read-only field)
          items:
            $ref: '#/components/schemas/ApiCustomRelatedDocumentTitle'
        from:
          type: array
          description: The list of related documents on FROM side
          items:
            $ref: '#/components/schemas/ApiDocument'
        kind:
          type: string
        relationId:
          type: string
          description: The ID of the relation
        to:
          type: array
          description: The list of related documents on TO side
          items:
            $ref: '#/components/schemas/ApiDocument'
    ApiFieldSection:
      type: object
      properties:
        columnCount:
          type: integer
          format: int32
          description: The number of columns to display fields for this section.
        description:
          type: string
          description: The description of the section
        fields:
          type: array
          description: The list of fields in the section
          items:
            $ref: '#/components/schemas/ApiFieldDefinition'
        id:
          type: string
          description: The ID of the section (read-only field)
        name:
          type: string
          description: The name of the section
        name_i18n:
          type: string
          description: The internationalized name of the section (read-only field)
    ApiSimilarDocument:
      type: object
      properties:
        absoluteDuplicatesOnly:
          type: boolean
          description: Flag indicating that only exact duplicate documents are considered
        attachmentId:
          type: string
          description: Unique identifier of the attachment associated with the document
        attachmentLink:
          type: string
          description: Direct link to download or access the attachment
        attachmentMimeType:
          type: string
          description: MIME type of the attachment
        attachmentName:
          type: string
          description: Name of the attachment file
        documentId:
          type: string
          description: Unique identifier of the similar document
        documentLink:
          type: string
          description: Direct link to access the similar document
        documentTitle:
          type: string
          description: Title of the similar document
        libraryId:
          type: string
          description: >-
            Unique identifier of the library where the similar document is
            located
        locationInfo:
          type: string
          description: >-
            Information about where the similar content is located within the
            document
        locationType:
          type: string
          description: Type of location reference
        quotedText:
          type: string
          description: Extract of the text that was used to determine similarity
        similarityScore:
          type: number
          format: double
          description: Similarity score between the documents
    ApiSecurityToken:
      type: object
      properties:
        classId:
          type: string
          description: The ID of the class when type = FIELD
        className:
          type: string
          description: The name of the class when type = FIELD
        description:
          type: string
          description: The description for type in GROUP, ROLE, FIELD
        displayName:
          type: string
          description: >-
            The display name of the user or group, the name of the role
            (read-only field)
        displayName_i18n:
          type: string
          description: >-
            The display name of the user or group, the internationalized name of
            the role (read-only field)
        thumbnailPictureUrl:
          type: string
          description: The URL of the thumbnail picture (especially for users)
        type:
          type: string
          description: >-
            The type of person (user, group, role, field based, domain i.e.
            everybody)
          enum:
            - USER
            - GROUP
            - ROLE
            - FIELD
            - DOMAIN
        value:
          type: string
          description: >-
            The email address if user or group, the ID of the role, the ID of
            the class/field (ignored if type = DOMAIN)
    ApiSystemField:
      type: object
      properties:
        calculatedValueInfo:
          $ref: '#/components/schemas/ApiFieldValuesInfo'
        displayName:
          type: string
          description: The internationalized name of the field
        editable:
          type: boolean
          description: Whether the field is editable by the current user
        hidden:
          type: boolean
          description: Whether the field is hidden to the current user
        id:
          type: string
          description: The ID of the system field
        kind:
          type: string
        mandatory:
          type: boolean
          description: Whether the field is mandatory
        readOnly:
          type: boolean
          description: Whether the field is currently read-only
        value:
          type: string
          description: The value of the field
    ApiTableField:
      type: object
      properties:
        calculatedSettingsInfo:
          type: object
          description: >-
            Information about the result of evaluation of calculated settings
            (read-only)
          additionalProperties:
            $ref: '#/components/schemas/ApiCalculatedSettingsInfo'
        calculatedValueInfo:
          $ref: '#/components/schemas/ApiFieldValuesInfo'
        columns:
          type: array
          description: The columns definition of the table (read-only)
          items:
            $ref: '#/components/schemas/ApiTableColumn'
        description:
          type: string
          description: The description of the field (read-only)
        description_i18n:
          type: string
          description: The internationalized description of the field (read-only)
        editable:
          type: boolean
          description: Whether the field is editable by the current user
        fieldId:
          type: string
          description: The ID of the field
        fieldMetadata:
          type: object
          description: Additional metadata for AI extraction
          additionalProperties:
            type: string
        fieldName:
          type: string
          description: The name of the field
        fieldName_i18n:
          type: string
          description: The internationalized name of the field (read-only)
        hidden:
          type: boolean
          description: Whether the field is hidden to the user user
        kind:
          type: string
        lookupConfiguration:
          $ref: '#/components/schemas/ApiLookupConfiguration'
        lookupValueInfo:
          $ref: '#/components/schemas/ApiLookupValuesInfo'
        mandatory:
          type: boolean
          description: Whether the field is mandatory
        multiple:
          type: boolean
          description: Whether there can be multiple values
        placeholderText:
          type: string
          description: The help text to display in the field input (read-only)
        rank:
          type: integer
          format: int32
          description: >-
            The rank at which the field is displayed in the document page
            (read-only)
        readOnly:
          type: boolean
          description: Whether the field is currently read-only
        type:
          type: string
          description: The field type (STRING, DATE, ..., CATEGORY, REFERENCE_CATALOG)
          enum:
            - STRING
            - TEXT
            - DATE
            - TIME
            - DATETIME
            - INTEGER
            - FILESIZE
            - DECIMAL
            - BOOLEAN
            - PERSON
            - CATEGORY
            - GEOPOINT
            - URL
            - REFERENCE_CATALOG
            - MIMETYPEGROUP
            - CLASS
            - FOLDER
            - STATE
            - OSS_ATTACHMENT
            - DRIVE_ATTACHMENT
            - TABLE
        validation:
          $ref: '#/components/schemas/ApiFieldValidation'
        values:
          type: array
          description: The values (organized as rows) contained in the table
          items:
            $ref: '#/components/schemas/ApiTableRow'
    ApiBaseUserProfile:
      type: object
      properties:
        email:
          type: string
          description: The email of the user
        kind:
          type: string
        name:
          type: string
          description: The displayed name of the user
        nonGoogle:
          type: boolean
          description: This user is not a google user
        thumbnailPictureUrl:
          type: string
          description: The URL of the thumbnail picture of the user
    ApiDocumentViewConfiguration:
      type: object
      properties:
        defaultTabToDisplay:
          type: string
          description: The tab to display when open the document
          enum:
            - PROPERTIES
            - FIRST_ATTACHMENT
        kind:
          type: string
        orientation:
          type: string
          description: The orientation to display the document (PORTRAIT or LANDSCAPE)
          enum:
            - PORTRAIT
            - LANDSCAPE
        visibleRelations:
          type: array
          description: The list of ordered relations to display in the Relations section
          items:
            type: string
        visibleSections:
          type: array
          description: The list of ordered sections to display
          items:
            type: string
            enum:
              - INFO
              - WORKFLOW
              - PROPERTIES
              - ATTACHMENTS
              - RELATIONS
              - DESCRIPTION
    ApiCalculatedSettingsInfo:
      type: object
      properties:
        error:
          type: boolean
          description: >-
            Indicates whether the evaluation of the setting terminated on error
            (read-only)
        errorMessage:
          type: string
          description: >-
            If the evaluation terminated on error, indicates the error message
            (read-only)
    ApiFieldValuesInfo:
      type: object
      properties:
        error:
          type: boolean
          description: >-
            If the field has no value, indicates whether this is due to an
            evaluation error (read-only)
    ApiLookupConfiguration:
      type: object
      properties:
        sourceConfiguration:
          $ref: '#/components/schemas/ApiLookupSourceConfiguration'
        targetConfiguration:
          $ref: '#/components/schemas/ApiLookupTargetConfiguration'
    ApiLookupValuesInfo:
      type: object
      properties:
        displayName:
          type: string
          description: Display name of the source document
        error:
          type: boolean
          description: >-
            Indicates if there was an error during the evaluation of the lookup
            field values
        errorMessage:
          type: string
          description: >-
            Error message if any error occurred during the evaluation of the
            lookup field values
    ApiFieldMetadata:
      type: object
      properties:
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/ApiAttachmentMetadata'
        kind:
          type: string
    ApiFieldValidation:
      type: object
      properties:
        audience:
          $ref: '#/components/schemas/ApiSecurityToken'
        errorMessage:
          type: string
          description: The error message if the value inputted is not valid
        kind:
          type: string
        lowerLimit:
          type: number
          format: double
          description: The lower limit of the range for numerical fields
        lowerLimitInclusive:
          type: boolean
          description: Whether to include the lower limit value in the range
        mandatoryLeaf:
          type: boolean
          description: >-
            Whether the leaf selection is required for Category or Reference
            Catalog fields
        regex:
          type: string
          description: The regular expression for String fields
        upperLimit:
          type: number
          format: double
          description: The upper limit of the range for numerical fields
        upperLimitInclusive:
          type: boolean
          description: Whether to include the upper limit value in the range
    ApiAutodeskUrn:
      type: object
      properties:
        status:
          type: string
          enum:
            - READY
            - IN_PROGRESS
            - FAILED
        urn:
          type: string
    ApiCategoryDefinition:
      type: object
      properties:
        description:
          type: string
          description: The description of the category
        dynamicValues:
          type: boolean
          description: Whether the category authorizes dynamic values
        folder:
          type: boolean
          description: Whether the category is the Folder category (read-only)
        id:
          type: string
          description: The ID of the category
        kind:
          type: string
        levelNames:
          type: array
          description: The name of the levels in the category
          items:
            type: string
        levelNames_i18n:
          type: array
          description: >-
            The internationalized name of the levels in the category (read-only
            field)
          items:
            type: string
        libraryId:
          type: string
          description: The ID of the library
        name:
          type: string
          description: The name of the category
        tags:
          type: boolean
          description: Whether the category is the Tags category (read-only)
        value:
          type: string
          description: >-
            The ID of the category (backward compatibility for
            category.category.listCategoryDefinitions)
    ApiCategoryValueMappingRef:
      type: object
      properties:
        displayName:
          type: string
          description: The display name of the mapping (read-only)
        id:
          type: string
          description: The ID of the category value mapping
    ApiFieldRef:
      type: object
      properties:
        displayName:
          type: string
          description: The display name of the field (read-only)
        id:
          type: string
          description: The ID of the field
    ApiCategoryValue:
      type: object
      properties:
        ancestors:
          type: array
          description: >-
            Ancestor category values from direct parent to root - only present
            with loadCategoryValue
          items:
            $ref: '#/components/schemas/ApiCategoryValue'
        id:
          type: string
          description: The ID of the category value
        kind:
          type: string
        leaf:
          type: boolean
          description: Whether the category value is leaf
        leafInNotOutdatedTree:
          type: boolean
          description: Whether the category value is leaf without not outdated child
        name:
          type: string
          description: The name of the category value
        name_i18n:
          type: string
          description: The internationalized name of the category value (read-only field)
        outdated:
          type: boolean
          description: Whether the category value is marked as outdated
        parentId:
          type: string
          description: The ID of the parent category value (read-only field)
        shortName:
          type: string
          description: The short name of the category value
        value:
          type: string
          description: (Deprecated) The ID of the category value
    ApiReferenceCatalog:
      type: object
      properties:
        createdAt:
          type: integer
          format: int64
          description: >-
            The timestamp (in ms) at which the catalog was created (read-only
            field)
        id:
          type: string
          description: The ID of the reference catalog (read-only field)
        kind:
          type: string
        levelNames:
          type: array
          description: Ordered name of levels of the reference catalog
          items:
            type: string
        modifiedAt:
          type: integer
          format: int64
          description: >-
            The timestamp (in ms) at which the catalog was last modified
            (read-only field)
        name:
          type: string
          description: The name of the reference catalog
        numberOfValues:
          type: integer
          format: int32
          description: The number of values in the reference catalog (read-only field)
    ApiReferenceCatalogFieldValue:
      type: object
      properties:
        deleted:
          type: boolean
        kind:
          type: string
        leaf:
          type: boolean
        name:
          type: string
          description: The name
        name_i18n:
          type: string
          description: The internationalized name
        parents:
          type: array
          items:
            $ref: '#/components/schemas/ApiReferenceCatalogFieldValue'
        value:
          type: string
          description: The value
    ApiCustomRelatedDocumentTitle:
      type: object
      properties:
        customHtmlTitle:
          type: string
        id:
          type: string
        kind:
          type: string
    ApiFieldDefinition:
      type: object
      properties:
        id:
          type: string
          description: The ID of the field
        type:
          type: string
          description: The type of the field (read-only field)
    ApiTableColumn:
      type: object
      properties:
        calculatedSettingsInfo:
          type: object
          description: >-
            Information about the result of evaluation of calculated settings
            (read-only)
          additionalProperties:
            $ref: '#/components/schemas/ApiCalculatedSettingsInfo'
        calculatedValueInfo:
          $ref: '#/components/schemas/ApiFieldValuesInfo'
        categoryDefinition:
          $ref: '#/components/schemas/ApiCategoryDefinition'
        description:
          type: string
          description: The description of the field (read-only)
        description_i18n:
          type: string
          description: The internationalized description of the field (read-only)
        editable:
          type: boolean
          description: Whether the field is editable by the current user
        fieldId:
          type: string
          description: The ID of the field
        fieldMetadata:
          type: object
          description: Additional metadata for AI extraction
          additionalProperties:
            type: string
        fieldName:
          type: string
          description: The name of the field
        fieldName_i18n:
          type: string
          description: The internationalized name of the field (read-only)
        hidden:
          type: boolean
          description: Whether the field is hidden to the user user
        kind:
          type: string
        lookupConfiguration:
          $ref: '#/components/schemas/ApiLookupConfiguration'
        lookupValueInfo:
          $ref: '#/components/schemas/ApiLookupValuesInfo'
        mandatory:
          type: boolean
          description: Whether the field is mandatory
        multiple:
          type: boolean
          description: Whether there can be multiple values
        placeholderText:
          type: string
          description: The help text to display in the field input (read-only)
        rank:
          type: integer
          format: int32
          description: >-
            The rank at which the field is displayed in the document page
            (read-only)
        readOnly:
          type: boolean
          description: Whether the field is currently read-only
        referenceCatalogDefinition:
          $ref: '#/components/schemas/ApiReferenceCatalog'
        type:
          type: string
          description: The field type (STRING, DATE, ..., CATEGORY, REFERENCE_CATALOG)
          enum:
            - STRING
            - TEXT
            - DATE
            - TIME
            - DATETIME
            - INTEGER
            - FILESIZE
            - DECIMAL
            - BOOLEAN
            - PERSON
            - CATEGORY
            - GEOPOINT
            - URL
            - REFERENCE_CATALOG
            - MIMETYPEGROUP
            - CLASS
            - FOLDER
            - STATE
            - OSS_ATTACHMENT
            - DRIVE_ATTACHMENT
            - TABLE
        validation:
          $ref: '#/components/schemas/ApiFieldValidation'
    ApiTableRow:
      type: object
      properties:
        categories:
          type: object
          description: Cells of type category
          additionalProperties:
            type: array
            items:
              type: array
              items:
                $ref: '#/components/schemas/ApiCategoryValue'
        fields:
          type: object
          description: Cells of static type
          additionalProperties:
            type: array
            items:
              type: string
        referenceCatalogs:
          type: object
          description: Cells of type reference catalog
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ApiReferenceCatalogFieldValue'
        rowId:
          type: string
          description: Unique id of the current row
    ApiLookupSourceConfiguration:
      type: object
      properties:
        displaySearchProperties:
          type: array
          description: >-
            List of field IDs from the referenced class to be displayed in
            lookup search results. Valid values are custom field IDs or '_title'
            for the system title field.
          items:
            type: string
        scope:
          $ref: '#/components/schemas/ApiLookupSourceScope'
        synchronizationRule:
          type: string
          description: >-
            Synchronization rule for the lookup source. Supported values: NEVER,
            ALWAYS
          enum:
            - NEVER
            - ALWAYS
        type:
          type: string
          description: 'Type of the lookup source configuration. Supported types: DOCUMENT'
          enum:
            - DOCUMENT
    ApiLookupTargetConfiguration:
      type: object
      properties:
        lookupKey:
          type: string
          description: >-
            Key of the lookup target configuration. Used to get the value from
            the referenced resource (e.g.: existing fieldId of the class defined
            in the source lookup
        sourceFieldId:
          type: string
          description: Identifier of the lookup source field
        sourceFieldName:
          type: string
          description: >-
            Name of the lookup source field. Can be used to refer the field by
            name when ID is not allocated yet (e.g.: along with source field
            creation)
    ApiAttachmentMetadata:
      type: object
      properties:
        drive:
          $ref: '#/components/schemas/ApiDriveAttachmentMetadata'
        id:
          type: string
          description: The ID the file as used on the storage type
        kind:
          type: string
        mimeType:
          type: string
          description: The MIME type of the file
        name:
          type: string
          description: The name (title) of the file
        oss:
          $ref: '#/components/schemas/ApiOssAttachmentMetadata'
        size:
          type: integer
          format: int64
          description: The size (in octet) of the file
        storageType:
          type: string
          description: >-
            Where is the file stored? Either DRIVE (Google Drive), or OSS
            (AODocs Object Storage System)
          enum:
            - OSS
            - DRIVE
    ApiLookupSourceScope:
      type: object
      properties:
        id:
          type: string
          description: >-
            Identifier of the lookup source scope configuration (e.g.: document
            class ID when the type is CLASS
        type:
          type: string
          description: >-
            Type of the lookup source scope configuration. Supported types:
            CLASS
          enum:
            - CLASS
    ApiDriveAttachmentMetadata:
      type: object
      properties:
        iconLink:
          type: string
          description: The URL of the icon of the file
        kind:
          type: string
        link:
          type: string
          description: The URL to the file in Drive
        permissionsOnDrive:
          type: array
          description: The list of permissions set in Drive for the file
          items:
            $ref: '#/components/schemas/ApiDrivePermission'
        publishedLink:
          type: string
          description: The URL of the file when published
        resourceKey:
          type: string
          description: >-
            A file that is shared with the link may only be discovered with this
            resourceKey
        revisionId:
          type: string
          description: The ID of the revision of the file in Drive
    ApiOssAttachmentMetadata:
      type: object
      properties:
        downloadLink:
          type: string
          description: The URL to download the OSS file
        kind:
          type: string
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````